# TickIterationProcess

**Noir.Classes.TickIterationProcess**: `NoirClass`

Represents a process in which code iterates through a table in chunks of x over how ever many necessary ticks.

***

```lua
Noir.Classes.TickIterationProcess:Init(ID, tbl, chunkSize)
```

Initializes tick iteration process class objects.

### Parameters

* `ID`: integer
* `tbl`: table
* `chunkSize`: integer

***

```lua
Noir.Classes.TickIterationProcess:Iterate()
```

Iterate through the table in chunks of x over how ever many necessary ticks.

### Returns

* `boolean`: completed


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cuhhub.gitbook.io/noir/api-reference/built-ins/classes/tickiterationprocess.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
